#
#
# Copyright 2007, Erik Vidholm
#
#
#   This file is part of WISH.
#
#   WISH is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   WISH is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with WISH.  If not, see <http:#www.gnu.org/licenses/>.
#
#

from H3D import *
from H3DInterface import *

# 11 buttons
buttons = [SFBool(), SFBool(), SFBool(), SFBool(), SFBool(),
           SFBool(), SFBool(), SFBool(), SFBool(), SFBool(),
           SFBool()]

for b in buttons:
  b.setValue(False)
  
button0 = buttons[0]
button1 = buttons[1]
button2 = buttons[2]
button3 = buttons[3]
button4 = buttons[4]
button5 = buttons[5]
button6 = buttons[6]
button7 = buttons[7]
button8 = buttons[8]
button9 = buttons[9]
button10 = buttons[10]

states = [False, False, False, False, False,
          False, False, False, False, False,
          False]

class ButtonController( TypedField(SFInt32, (SFInt32,SFInt32)) ):
  def __init__( self ):
    SFInt32.__init__( self )

  def update( self, event ):
    
    # the button number
    btn = event.getValue()

    #print btn
    
    # the current state of this button
    st = states[btn]
    
    # button pressed
    if( st == False ):
      states[btn] = True
    # button released
    elif( st == True ):
      states[btn] = False
    else:
      print "This can not happen..."
      
    buttons[btn].setValue(states[btn])
    return btn 

buttonController = ButtonController()

def traverseSG():
  dummy = buttonController.getValue()

